Bug 250198 - Remote Commands: rescheduled failed action always says "null successfully rescheduled" - no action name
Remote Commands: rescheduled failed action always says "null successfully res...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
500
All Linux
low Severity low
: ---
: ---
Assigned To: John Matthews
Preethi Thomas
: Reopened
Depends On:
Blocks: 429319
  Show dependency treegraph
 
Reported: 2007-07-30 20:04 EDT by Xixi
Modified: 2008-08-13 15:06 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat511
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-13 15:00:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 John Matthews 2007-11-06 17:20:37 EST
Test case:

1) Register client system to sat.
2) On client system remove package <foo>,  "rpm -e foo"
3) Using webui pick out software package <foo> and schedule it to be removed.
4) Verify on Sat this action is pending
5) On client run "rhn_check"
6) On webui look at failed actions. 
7) Click the failed action
8) Click the "Failed Systems" link
9) Click "reschedule all"
10) Notice:  Package Removal successfully rescheduled.
Comment 2 Preethi Thomas 2008-03-26 09:27:59 EDT
This bug is about running remote command. 
Steps to reproduce from the description
1. SDC -> Remote Command
2. Schedule a remote command that will fail;
3. Run a rhn_check to pick it up;
4. Go to Schedule -> Failed Actions and reschedule the action.
Comment 3 John Matthews 2008-05-06 17:08:25 EDT
I noticed 2 ways to reschedule an action.  
If I selected the individual action, then I was able to see the problem
described, i.e. no action name was specified.  
If I selected "Reschedule All" then it would display "Run an arbitrary script
successfully rescheduled."

The fix was on the perl side, commit below

Sending        web/modules/sniglets/Sniglets/ServerActions.pm
Transmitting file data .
Committed revision 172172.
Comment 4 Preethi Thomas 2008-05-30 10:34:42 EDT
verified
Comment 6 Brandon Perkins 2008-08-13 15:00:06 EDT
5.1.1 Satellite is now GA, bugs Closed for Current Release.
Comment 7 Brandon Perkins 2008-08-13 15:06:02 EDT
5.1.1 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.